/* HEADER STYLES */
header {
    height: 600px;
}

.header-context {
    position: absolute;
    top: 30%;
    left: 15%;
}

.header-context h1 {
    color: #fff;
    font-weight: 300;
    font-size: 300%;
    line-height: 1.5em;
    margin: 0;
    margin-bottom: 40px;
}

.header-btn:link,
.header-btn:visited,
.header-btn:hover,
.header-btn:active {
    padding: 10px 15px;
    border: 2px solid;
    text-decoration: none;
    font-size: 100%;
    font-weight: 500;
    text-transform: uppercase;
    transition: all 0.4s;
    margin-left: 20px;
}

.header-btn:link,
.header-btn:visited {
    color: #fff;
    border-color: #fff;
    background-color: transparent;
}

.header-btn:hover,
.header-btn:active {
    color: #555;
    background-color: #fff;
}

.header-btn:link ion-icon,
.header-btn:visited ion-icon,
.header-btn:hover ion-icon,
.header-btn:active ion-icon {
    font-size: 130%;
    margin-bottom: -5px;
    margin-left: 15px;
}

/* SECTION OFFER */
.offer-list {
    display: flex;
    
    align-items: center;
    justify-content: center;
    gap: 2%;

    height: 600px;
}

.offer-1 {
    width: 30%;
    height: 95%;

    background-color: #f1f1f1;
    box-shadow: #999 0 0 5px 1px;

    transition: all 0.3s;
}

.offer-1:hover {
    width: 32%;
    height: 100%;
    box-shadow: #999 0 0 5px 4px;
}

.offer-image {
    position: relative;
    height: 60%;
    overflow: hidden;
    background-color: #333;

    margin-bottom: 20px;
}

.offer-image img {
    object-position: center;
    max-height: 100%;
    width: auto;

    opacity: 0.4;
}

.offer-1:nth-child(3) .offer-image img {
    transform: translate(-50px, 0);
}

.offer-name {
    position: absolute;
    bottom: 10px;
    left: 0;
    right: 0;
    height: 60px;

    font-size: 110%;
    font-weight: 500;
    text-align: center;
    color: #fff;
    margin: 0 10px;
    
}

.offer-desc {
    margin: 20px;
    height: 35%;
    font-size: 90%;
}

/* SECTION STATS */
#section-stats {
    background-color: var(--section-break-color);
    padding-bottom: 50px !important;
}

.stats {
    display: flex;
    
    justify-content: space-between;
    align-items: center;
    padding: 0 100px;
}

.stat {
    width: 250px;
    height: 150px;
    text-align: center;
}

.num {
    font-size: 250%;
    font-weight: 400;
    margin-bottom: 20px;
    color: var(--secondary-color);
}

.desc {
    font-weight: 400;
}

.js-num {
    font-size: 110%;
}

/* SECTION IMAGE */
#section-invite {
    padding: 0;
    background-image: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url(/resources/img/building.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 550px;
    width: 100%;
}

.invite-box {
    width: 100%;
    height: 100%;
}

.invite-info {
    padding: 50px 0;
    width: 100%;
    height: 100%;
    z-index: 3;
    position: relative;
    overflow: hidden;
}

.orange-text,
.orange-text:link,
.orange-text:visited,
.orange-text:hover,
.orange-text:active {
    display: block;
    margin: 0 0 50px auto;
    width: fit-content;
    min-width: 220px;
    padding: 10px 50px 10px 25px;
    color: #fff;
    font-size: 165%;
    font-weight: 400;
    line-height: 145%;
    text-decoration: none;

    text-align: right;
    position: relative;
    z-index: 2;
}

.orange-text ion-icon,
.orange-text:link ion-icon,
.orange-text:visited ion-icon,
.orange-text:hover ion-icon,
.orange-text:active ion-icon {
    font-size: 85%;
    margin-bottom: -2px;
    margin-right: 10px;
}

.orange-text::before,
.orange-text:link::before,
.orange-text:visited::before,
.orange-text:hover::before,
.orange-text:active::before {
    position: absolute;
    top: 0;
    left: -20px;
    right: -100px;
    bottom: 0;
    
    opacity: 0.9;
    transition: background-color 0.3s, left 0.3s;
    transform: skew(-35deg);
    z-index: -1;

    display: block;
    content: "";
}

.orange-text::before,
.orange-text:link::before,
.orange-text:visited::before {
    background-color: var(--secondary-color);
}

.orange-text-btn:hover::before,
.orange-text-btn:active::before {
    background-color: var(--forth-color);
    left: -60px;
}

/* SECTION COMMENTS */
#section-comments {
    background-color: var(--section-break-color);
}

.comments-list {
    display: flex;
    justify-content: space-between;
}

.comment {
    width: 30%;
}

.author {
    font-size: 120%;
    font-weight: 500;
    margin-bottom: 15px;
}

.rate {
    margin-bottom: 20px;
}

.rate ion-icon {
    color: #f9b403;
}

.comment .text {
    font-size: 90%;
    font-weight: 400;
    padding: 2px;
    font-style: italic;
    position: relative;
}

.comment .text ion-icon {
    position: absolute;
    top: -20px;
    left: 0;
    color: #555;
    
    font-size: 250%;
    display: block;
    opacity: 0.1;
}

@media only screen and (max-width: 1140px) {
    /* HEADER */
    header .header-context {
        left: 0;
        padding: 0 30px;
    }

    /* SECTION OFFER */
    .offer-list {
        height: 500px;
    }

    .offer-1 {
        height: 95%;
        width: 45%;
    }

    .offer-1:hover {
        width: 45%;
        height: 95%;
        box-shadow: #999 0 0 5px 1px;
    }

    .offer-1:last-of-type {
        display: none;
    }

    /* SECTION STATS */
    .stats {
        gap: 30px;
        padding: 0 20px;
    }

    .stat {
        max-width: 300px;
        width: 300px;
    }

    .num {
        font-size: 230%;
    }
}

@media only screen and (max-width: 720px) {
    /* HEADER */
    header {
        height: 400px;
    }

    .header-context {
        top: 35%;
    }

    .header-context h1 {
        font-size: 200%;
    }

    /* SECTION OFFER */
    .offer-list {
        flex-direction: column;
        height: auto;
        gap: 30px;
    }

    .offer-1 {
        height: 300px;
        width: 90%;
    }

    .offer-1:hover {
        width: 90%;
        height: 300px;
    }

    .offer-image img {
        width: 100%;
        max-height: fit-content;
    }

    .desc {
        font-size: 90%;
    }

    /* SECTION INVITE */
    #section-invite {
        height: 300px;
    }

    .orange-text,
    .orange-text:link,
    .orange-text:visited,
    .orange-text:hover,
    .orange-text:active {
        display: none;
    }

    /* SECTION COMMENTS */
    .comments-list {
        flex-direction: column;
    }

    .comment {
        width: 100%;
        margin-top: 35px;
    }
}

@media only screen and (max-width: 380px) {
    /* HEADER */
    .header-context h1 {
        font-size: 200%;
    }

    .header-btn:link,
    .header-btn:visited,
    .header-btn:hover,
    .header-btn:active {
        font-size: 80%;
    }
}